package com.bonus.core.account.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

@TableName("acc_card_deduction_hist")
public class AccCardDeductionHist implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   private Long id;
   private Long deductionId;
   private Long custId;
   private String custName;
   private Integer accType;
   private Integer cardNum;
   private String serialNum;
   private Integer accBal;
   private Integer deductionCost;
   private Integer recordType;
   private Integer ifDel;
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   private Date crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   private Date uptime;

   public Long getId() {
      return this.id;
   }

   public Long getDeductionId() {
      return this.deductionId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getAccType() {
      return this.accType;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getDeductionCost() {
      return this.deductionCost;
   }

   public Integer getRecordType() {
      return this.recordType;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeductionId(final Long deductionId) {
      this.deductionId = deductionId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setAccType(final Integer accType) {
      this.accType = accType;
   }

   public void setCardNum(final Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setDeductionCost(final Integer deductionCost) {
      this.deductionCost = deductionCost;
   }

   public void setRecordType(final Integer recordType) {
      this.recordType = recordType;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }


}
